Subject: bug#20743: 24.4; Meta on left win key doesn't work

From: [email-masked]
Date: Fri, 12 Aug 2016 19:08:09 -0400

tags 20743 moreinfo
close 20743 
quit

[email-masked] (N. Jackson) writes:

> At 04:39 -0300 on Friday 2015-06-05, André Wöbbeking wrote:
>
>> Hi,
>>
>> I've a MicroSoft keyboard (german layout) and want the left Win key
>> to be Meta and the left Alt to be Alt. To achieve this I used KDE's
>> system settings for input devices (advanced options). After I changed
>> the settings xev reports the left Win key as Meta and also all Qt/KDE
>> programs do. But in Emacs left Win key gives me Hyper and left Alt
>> gives me Meta.
>
> Emacs <META> is usually Alt on modern mainstream systems (see
> M-: (info "(emacs) User Input")).
>
> Do you get the results you want in Emacs if you map that left logo key
> to Alt instead of to KDE's idea of Meta?

Since there's been no feedback from the OP, I'm closing this bug.